package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 收款单日志 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 收款单环节
     */
    private Integer receiptLink;
    /**
     * 操作人
     */
    private String operator;
    /**
     * 备注
     */
    private String remark;
    /**
     * 审批流程
     */
    private Integer bmpStatus;

}
